#!/usr/bin/env python

"""
RSVP instruction classes.

Copyright (C) 2007 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

class Instruction:

    "A generic instruction."

    def __init__(self, attr):
        self.attr = attr

    def __repr__(self):
        return "%s(%r)" % (self.__class__.__name__, self.attr)

class LoadName(Instruction): pass
class LoadAttr(Instruction): pass
class StoreName(Instruction): pass
class StoreAttr(Instruction): pass

# vim: tabstop=4 expandtab shiftwidth=4
